edu.wpi.first.wpilibj

## Enum Ultrasonic.Unit

- java.lang.Object
- - java.lang.Enum<Ultrasonic.Unit>
  - - edu.wpi.first.wpilibj.Ultrasonic.Unit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Ultrasonic.Unit>
  Enclosing class:
    Ultrasonic

      public static enum Ultrasonic.Unit
      extends java.lang.Enum<Ultrasonic.Unit>

  The units to return when PIDGet is called.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kInches` Use inches for PIDGet.
    `kMillimeters` Use millimeters for PIDGet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Ultrasonic.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Ultrasonic.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kInches

          public static final Ultrasonic.Unit kInches

      Use inches for PIDGet.

    - #### kMillimeters

          public static final Ultrasonic.Unit kMillimeters

      Use millimeters for PIDGet.

  - ### Method Detail

    - #### values

          public static Ultrasonic.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ultrasonic.Unit c : Ultrasonic.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ultrasonic.Unit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null